gsm0808_handover_performed Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

`#include <gsm0808.h>`

## Data Fields

uint16_t | cause
struct gsm0808_cell_id | cell_id
bool | chosen_channel_present
uint8_t | chosen_channel
bool | chosen_encr_alg_present
uint8_t | chosen_encr_alg
bool | speech_version_chosen_present
enum gsm0808_permitted_speech | speech_version_chosen
bool | speech_codec_chosen_present
struct gsm0808_speech_codec | speech_codec_chosen
bool | lcls_bss_status_present
enum gsm0808_lcls_status | lcls_bss_status
bool | more_items

## Field Documentation

## cause

uint16_t gsm0808_handover_performed::cause

## cell_id

struct gsm0808_cell_id gsm0808_handover_performed::cell_id

## chosen_channel

uint8_t gsm0808_handover_performed::chosen_channel

## chosen_channel_present

bool gsm0808_handover_performed::chosen_channel_present

## chosen_encr_alg

uint8_t gsm0808_handover_performed::chosen_encr_alg

## chosen_encr_alg_present

bool gsm0808_handover_performed::chosen_encr_alg_present

## lcls_bss_status

enum gsm0808_lcls_status gsm0808_handover_performed::lcls_bss_status

## lcls_bss_status_present

bool gsm0808_handover_performed::lcls_bss_status_present

## more_items

bool gsm0808_handover_performed::more_items

## speech_codec_chosen

struct gsm0808_speech_codec gsm0808_handover_performed::speech_codec_chosen

## speech_codec_chosen_present

bool gsm0808_handover_performed::speech_codec_chosen_present

## speech_version_chosen

enum gsm0808_permitted_speech gsm0808_handover_performed::speech_version_chosen

## speech_version_chosen_present

bool gsm0808_handover_performed::speech_version_chosen_present

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h